### Virtual Method

# Nautilus FileInfo get_uri

#### Declaration [src]

    char*
    get_uri (
      NautilusFileInfo* file_info
    )

#### Description [src]

Returns the file URI as a string. See `nautilus_file_info_get_uri()` for details.

#### Return value

Type: `char*`

The file URI of `file_info`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.